Package org.apache.wiki

## Class TranslationsCheck

- java.lang.Object
- - org.apache.wiki.TranslationsCheck

    public class TranslationsCheck
    extends java.lang.Object

Simple utility that shows you a sorted list of property differences between the 'default en' and a given i18n file. It also warns if there are any duplicates.

The first argument is the language, and it is mandatory. The second argument is the path. If the path is not defined, uses current path (.)

For example (if you're compiling your classes to "classes"): `java -cp classes TranslationsCheck fi`

### Constructor Summary

Constructors
`TranslationsCheck()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `detectDuplicates​(java.lang.String source)`
`java.util.Map<java.lang.String,​java.lang.Integer>` `diff​(java.lang.String source1, java.lang.String source2)`
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TranslationsCheck

    public TranslationsCheck()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### diff

    public java.util.Map<java.lang.String,​java.lang.Integer> diff​(java.lang.String source1,
                                                                        java.lang.String source2)
                                                                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### detectDuplicates

    public int detectDuplicates​(java.lang.String source)
                         throws java.io.IOException

Throws:
  `java.io.IOException`